# Class UnsupportedClassCSSPropertyException

java.lang.Object
java.lang.Throwable
java.lang.Exception
org.eclipse.e4.ui.css.core.exceptions.UnsupportedClassCSSPropertyException

All Implemented Interfaces:
  `Serializable`

public class UnsupportedClassCSSPropertyException extends Exception
Exception used when java Class CSS property is not retrieved.

Version:
  1.0.0
Author:
  Angelo ZERR
See Also:
  - `CSSPropertyHandlerLazyProviderImpl`
  - Serialized Form

## Constructor Summary

Constructors
Constructor
Description
`UnsupportedClassCSSPropertyException(Class<?> clazz)`

## Method Summary

Modifier and Type
Method
Description
`String`
`getMessage()`

### Methods inherited from class Throwable

`addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

### Methods inherited from class Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

## Constructor Details

### UnsupportedClassCSSPropertyException

public UnsupportedClassCSSPropertyException(Class<?> clazz)

## Method Details

### getMessage

public String getMessage()

Overrides:
  `getMessage` in class `Throwable`